/*
 * Copyright (c) 1995, the EUROPAGATE consortium (see below).
 *
 * The EUROPAGATE consortium members are:
 *
 *    University College Dublin
 *    Danmarks Teknologiske Videnscenter
 *    An Chomhairle Leabharlanna
 *    Consejo Superior de Investigaciones Cientificas
 *
 * Permission to use, copy, modify, distribute, and sell this software and
 * its documentation, in whole or in part, for any purpose, is hereby granted,
 * provided that:
 *
 * 1. This copyright and permission notice appear in all copies of the
 * software and its documentation. Notices of copyright or attribution
 * which appear at the beginning of any file must remain unchanged.
 *
 * 2. The names of EUROPAGATE or the project partners may not be used to
 * endorse or promote products derived from this software without specific
 * prior written permission.
 *
 * 3. Users of this software (implementors and gateway operators) agree to
 * inform the EUROPAGATE consortium of their use of the software. This
 * information will be used to evaluate the EUROPAGATE project and the
 * software, and to plan further developments. The consortium may use
 * the information in later publications.
 * 
 * 4. Users of this software agree to make their best efforts, when
 * documenting their use of the software, to acknowledge the EUROPAGATE
 * consortium, and the role played by the software in their work.
 *
 * THIS SOFTWARE IS PROVIDED "AS IS" AND WITHOUT WARRANTY OF ANY KIND,
 * EXPRESS, IMPLIED, OR OTHERWISE, INCLUDING WITHOUT LIMITATION, ANY
 * WARRANTY OF MERCHANTABILITY OR FITNESS FOR A PARTICULAR PURPOSE.
 * IN NO EVENT SHALL THE EUROPAGATE CONSORTIUM OR ITS MEMBERS BE LIABLE
 * FOR ANY SPECIAL, INCIDENTAL, INDIRECT OR CONSEQUENTIAL DAMAGES OF
 * ANY KIND, OR ANY DAMAGES WHATSOEVER RESULTING FROM LOSS OF USE, DATA
 * OR PROFITS, WHETHER OR NOT ADVISED OF THE POSSIBILITY OF DAMAGE, AND
 * ON ANY THEORY OF LIABILITY, ARISING OUT OF OR IN CONNECTION WITH THE
 * USE OR PERFORMANCE OF THIS SOFTWARE.
 *
 */
/*
 * Test of logging facilities.
 *
 * Europagate, 1994-1995.
 *
 * $Log: gw-log-test.c,v $
 * Revision 1.6  1995/12/01 12:41:03  adam
 * Bug fix.
 *
 * Revision 1.5  1995/05/16  09:40:48  adam
 * LICENSE.
 *
 * Revision 1.4  1995/04/10  13:20:25  adam
 * Use gettimeofday(2) instead of time(2) to get log time in milliseconds.
 *
 * Revision 1.3  1995/02/23  08:32:21  adam
 * Changed header.
 *
 * Revision 1.1.1.1  1995/02/09  17:27:12  adam
 * Initial version of email gateway under CVS control.
 *
 * Initial:       Dec  7, 94 (Adam Dickmeiss)
 */

#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <stdarg.h>

#include <gw-log.h>

int main (int argc, char **argv)
{
    int i;
    gw_log_init (*argv);

    for (i = 1; i<argc; i++)
    {
        printf ("level %s -> %u\n", argv[i], gw_log_mask_str (argv[i]));
        fflush (stdout);
    }
    
    gw_log_file (GW_LOG_ALL, "all.log");
    gw_log_file (GW_LOG_WARN, "warn.log");

    gw_log (GW_LOG_ALL, "Msg", "Hi all except WARN");
    gw_log (GW_LOG_WARN, "Msg", "Hi WARN");

    gw_log (GW_LOG_ALL, "Msg", "Hi all, a");
    gw_log (GW_LOG_STAT, "Msg", "Hi stat, a");
    gw_log_file (GW_LOG_WARN, "warn.log");
    gw_log_file (GW_LOG_FATAL, NULL);
    gw_log (GW_LOG_ALL, "Msg", "Hi all, b");
    gw_log (GW_LOG_STAT, "Msg", "Hi stat, b");
    gw_log (GW_LOG_WARN, "Msg", "Hi warn, b");
    exit (0);
}
